<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        body,
        html {
            margin: 0;
            padding: 0;
            height: 100%;
            width: 100%;
            display: flex;
            align-items: center;
            justify-content: center;
            overflow: hidden;
        }

        figure {
            position: relative;
            width: 80%;
            height: auto;
        }

        figure img {
            width: 100%;
            height: auto;
            display: block;
        }

        figure figcaption {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            background: rgba(0, 0, 0, 0.5);
            /* Fondo semitransparente */
            color: white;
            padding: 10px;
            box-sizing: border-box;
            text-align: center;
            font-size: 1.5em;
        }
    </style>
</head>

<body>
    <figure>
        <img src="imgs/foto1.jpg">
        <figcaption>Ejemplo</figcaption>
    </figure>
</body>
<script src="6.js"></script>

</html>